import { ConfigService } from '../lib/index';
import { BaseService } from "../lib/index";
import { Observable } from 'rxjs';
export declare class AppService {
    store$: Observable<object>;
    config$: Observable<object>;
    state: any;
    base: BaseService;
    baseUrl: string;
    appRoot: any;
    config: ConfigService;
    loading: boolean;
    collectionManifest: any;
    components: any[];
    data: any;
    authenticated: boolean;
    errorMessage: string;
    constructor(enforcer: any);
    init(appRoot: any, baseUrl?: string): Promise<any>;
    initStores(): Promise<void>;
    initHistory(): void;
    parseComponents(): void;
    showFlashMessage(message: string, type: string, duration?: number): void;
    static readonly instance: any;
}
